Skip to content
Dashboard
Theme
Theme

List deliveries

GET /v1/webhook_endpoints/{endpoint}/deliveries: List deliveries.

View Markdown

GET /v1/webhook_endpoints/{endpoint}/deliveries

Scope
webhooks:read
Auth
Secret key (sk_…)
Since
1.0
  • endpoint string Required

  • limit integer

    min 1 · max 100 · default 20

  • after string

    Cursor from next_cursor.

  • before string

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/webhook_endpoints/whep_01J9Z3K5V7W8X9Y0Z1A2B3C4D5/deliveries" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"format": "native",
"id": "whdl_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"object": "webhook_delivery",
"endpoint_id": "whep_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"event_id": "evt_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"status": "pending",
"attempts": 1,
"response_status": 1,
"event_type": "user.signed_in",
"duration_ms": 0,
"next_attempt_at": "2026-01-15T09:30:00Z",
"request": {
"method": "POST",
"url": "https://app.acme.com/callback",
"headers": {},
"body": "example_body",
"body_truncated": true
},
"error": "example_error",
"response": {
"status": 1,
"headers": {},
"body": "example_body"
},
"created_at": "2026-01-15T09:30:00Z"
}
],
"has_more": true,
"next_cursor": "cur_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}